## check to see that the version of R is at least 2.15.1
print(R.version.string)
stopifnot(getRversion()>="3.1.1")

## get list of packages to install
pkglist <- scan(
  what=character(0),
  text="
adaptivetau
bbmle
caTools
coda
colorspace
deSolve
digest
filehash
foreach
gdata
ggplot2
gmodels
gplots
gridExtra
gstat
gtable
gtools
inline
knitr
lhs
lme4
maptools
mvtnorm
numDeriv
plyr
RColorBrewer
reshape2
sandwich
scales
scatterplot3d
sos
sp
stringr
subplex
xtable
"
)
pkglist <- setdiff(pkglist,rownames(installed.packages()))

## install the packages (you will be prompted for a mirror)
if (length(pkglist)>0) install.packages(pkglist)

install.packages("pomp",repos="http://R-Forge.R-Project.org")
install.packages("pompExamples",repos="http://kinglab.eeb.lsa.umich.edu/R",
                 type=if (.Platform$OS.type=="windows") "bin.windows" else "source")


