## TEST SCRIPT
## If this script runs without errors, pomp is usable on your system.

prereqs <- c("subplex","nloptr","mvtnorm","deSolve","coda")
prereqs <- prereqs[!prereqs%in%rownames(installed.packages())]

## The following may prompt you for a CRAN mirror: choose one near you.
if (length(prereqs)>0) install.packages(prereqs)

install.packages("pomp",repos="http://R-Forge.R-project.org")

require(pomp)

gomp2 <- pomp(
              data=data.frame(time=1:50,Y=NA),
              times="time",
              t0=0,
              rmeasure=Csnippet('
   Y = rlnorm(log(X),tau);
'),
              dmeasure=Csnippet('
   lik = dlnorm(Y,log(X),tau,give_log);
'),
              rprocess=discrete.time.sim(
                step.fun=Csnippet('
  double S = exp(-r*dt);
  double eps = rlnorm(0,sigma);
  X = pow(K,(1-S))*pow(X,S)*eps;
'),
                delta.t=1
                ),
              paramnames=c("sigma","tau","r","K"),
              statenames="X",
              params=c(r=0.1,K=1,sigma=0.1,tau=0.1,X.0=1)
              )

gomp2 <- simulate(gomp2)
p <- pfilter(gomp2,Np=1000)
